Bug 1077843 - (CVE-2014-2532) CVE-2014-2532 openssh: AcceptEnv environment restriction bypass flaw
CVE-2014-2532 openssh: AcceptEnv environment restriction bypass flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140315,reported=2...
: Security
Depends On: 1077852 1077853 1101171 1101172
Blocks: 1077851 1081345 1101912
  Show dependency treegraph
 
Reported: 2014-03-18 12:53 EDT by Vincent Danen
Modified: 2014-10-17 03:56 EDT (History)
17 users (show)

See Also:
Fixed In Version: openssh 6.6
Doc Type: Bug Fix
Doc Text:
It was found that OpenSSH did not properly handle certain AcceptEnv parameter values with wildcard characters. A remote attacker could use this flaw to bypass intended environment variable restrictions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 874323 None None None Never

  None (edit)
Description Vincent Danen 2014-03-18 12:53:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-2532 to
the following vulnerability:

Name: CVE-2014-2532
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2532
Assigned: 20140317
Reference: http://marc.info/?l=openbsd-security-announce&m=139492048027313&w=2

sshd in OpenSSH before 6.6 does not properly support wildcards on
AcceptEnv lines in sshd_config, which allows remote attackers to
bypass intended environment restrictions by using a substring located
before a wildcard character.
Comment 3 Vincent Danen 2014-03-18 13:24:36 EDT
Created openssh tracking bugs for this issue:

Affects: fedora-all [bug 1077853]
Comment 6 Huzaifa S. Sidhpurwala 2014-03-21 02:31:29 EDT
The sshd_config file by default contain the following AcceptEnv directives.

AcceptEnv LANG LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES
AcceptEnv LC_PAPER LC_NAME LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT
AcceptEnv LC_IDENTIFICATION LC_ALL LANGUAGE
AcceptEnv XMODIFIERS

None of the above variables contain wildcards (* or ?). This implies that the packages in their default state are not vulnerable to the above issue. 

If an administrator adds environment variables to the above list (in /etc/ssh/sshd_config) which contains wildcards, than the configuration may become vulnerable. 

The maximum impact of the issue is that the client may export certain environment variables to his ssh session (after authentication) which may be otherwise be restricted by the ssh server.
Comment 7 Huzaifa S. Sidhpurwala 2014-03-21 02:37:37 EDT
Statement:

This issue affects the version of openssh as shipped with Red Hat Enterprise Linux 5. The Red Hat Security Response Team has rated this issue as having Low security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle, https://access.redhat.com/support/policy/updates/errata/
Comment 9 Miroslav Vadkerti 2014-04-07 04:18:06 EDT
The correct reproducer is not yet available. We agreed on IRC with Huzaifa to do only SanityOnly testing. Clearing needinfo.
Comment 14 Fedora Update System 2014-05-21 19:23:45 EDT
openssh-6.4p1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-06-09 22:51:08 EDT
openssh-6.2p2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Martin Prpic 2014-10-06 04:47:08 EDT
IssueDescription:

It was found that OpenSSH did not properly handle certain AcceptEnv parameter values with wildcard characters. A remote attacker could use this flaw to bypass intended environment variable restrictions.
Comment 23 errata-xmlrpc 2014-10-14 03:39:45 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1552 https://rhn.redhat.com/errata/RHSA-2014-1552.html

Note You need to log in before you can comment on or make changes to this bug.